"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var styled_components_1 = require("styled-components");
var _1 = require("../");
var Container = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  margin: 30px;\n"], ["\n  margin: 30px;\n"])));
react_1.storiesOf('BadgeSelect', module)
    .addDecorator(function (story) { return React.createElement(Container, null, story()); })
    .addWithInfo('Standard', function () {
    return (React.createElement(_1.BadgeSelect, { placeholder: 'Select a target', items: ['wpe', 'web', 'redis'], onItemChange: react_1.action('onItemChange') }));
})
    .addWithInfo('Prefix', function () {
    return (React.createElement(_1.BadgeSelect, { placeholder: 'Select a target', items: ['wpe', 'web', 'redis'], extraPrefix: ['Host OS'], onItemChange: react_1.action('onItemChange') }));
})
    .addWithInfo('Suffix', function () {
    return (React.createElement(_1.BadgeSelect, { placeholder: 'Select a target', items: ['wpe', 'web', 'redis'], extraSuffix: ['Host OS'], onItemChange: react_1.action('onItemChange') }));
});
var templateObject_1;
