"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var _1 = require("../");
var mockDeviceArray = [
    {
        is_online: true
    },
    {
        provisioning_state: 'Post-Provisioning'
    },
    {
        is_online: false,
        last_connectivity_event: null
    },
    {
        is_online: false,
        last_connectivity_event: 1503662108854
    },
    {
        is_online: true,
        last_connectivity_event: 1503662108854,
        status: 'Starting'
    },
    {
        is_online: true,
        last_connectivity_event: 1503662108854,
        status: 'Configuring'
    },
    {
        is_online: true,
        last_connectivity_event: 1503662108854,
        status: 'idle'
    },
    {
        download_progress: 5,
        is_online: true,
        last_seen_time: 1503662108854,
        status: 'Downloading'
    }
];
react_1.storiesOf('DeviceStatusGauge', module).addWithInfo('default', function () {
    return React.createElement(_1.DeviceStatusGauge, { m: 30, devices: mockDeviceArray });
});
