"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var styled_components_1 = require("styled-components");
var _1 = require("../");
var Container = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  margin: 30px;\n"], ["\n  margin: 30px;\n"])));
react_1.storiesOf('Alert', module)
    .addWithInfo('Standard', function () {
    return (React.createElement(Container, null,
        React.createElement(_1.Alert, { my: 2, success: true, onDismiss: react_1.action('case-3') }, "This is a success message"),
        React.createElement(_1.Alert, { my: 2, danger: true, onDismiss: react_1.action('case-1') }, "This is an alert message"),
        React.createElement(_1.Alert, { my: 2, warning: true, onDismiss: react_1.action('case-2') }, "This is an alert message"),
        React.createElement(_1.Alert, { my: 2, info: true, onDismiss: react_1.action('case-4') }, "This is a general resin announcement")));
})
    .addWithInfo('Emphasized', function () {
    return (React.createElement(Container, null,
        React.createElement(_1.Alert, { my: 2, emphasized: true, success: true, onDismiss: react_1.action('case-3') }, "This is a success message"),
        React.createElement(_1.Alert, { my: 2, emphasized: true, danger: true, onDismiss: react_1.action('case-1') }, "This is an alert message"),
        React.createElement(_1.Alert, { my: 2, emphasized: true, warning: true, onDismiss: react_1.action('case-2') }, "This is an alert message"),
        React.createElement(_1.Alert, { my: 2, emphasized: true, info: true, onDismiss: react_1.action('case-4') }, "This is a general resin announcement")));
})
    .addWithInfo('Plaintext', function () {
    return (React.createElement(Container, null,
        React.createElement(_1.Alert, { my: 2, plaintext: true, success: true }, "It's a success"),
        React.createElement(_1.Alert, { my: 2, plaintext: true, info: true }, "General text goes here"),
        React.createElement(_1.Alert, { my: 2, plaintext: true, danger: true }, "There was an error"),
        React.createElement(_1.Alert, { my: 2, plaintext: true, warning: true }, "Warning text")));
});
var templateObject_1;
