"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var styled_components_1 = require("styled-components");
var FaExpand = require("react-icons/lib/fa/expand");
var FaRecycle = require("react-icons/lib/fa/recycle");
var FaSpinner = require("react-icons/lib/fa/spinner");
var _1 = require("../");
var Container = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  margin: 30px;\n"], ["\n  margin: 30px;\n"])));
react_1.storiesOf('Button', module)
    .addWithInfo('Standard', function () {
    return (React.createElement(Container, null,
        React.createElement(_1.Button, { mx: 2, primary: true, onPress: react_1.action('case-1') }, "Button"),
        React.createElement(_1.Button, { mx: 2, secondary: true, onPress: react_1.action('case-2') }, "Button"),
        React.createElement(_1.Button, { mx: 2, success: true, onPress: react_1.action('case-3') }, "Button"),
        React.createElement(_1.Button, { mx: 2, tertiary: true, onPress: react_1.action('case-4') }, "Button"),
        React.createElement(_1.Button, { mx: 2, onPress: react_1.action('case-5') }, "Button")));
})
    .addWithInfo('Emphasized', function () {
    return (React.createElement(Container, null,
        React.createElement(_1.Button, { mx: 2, emphasized: true, primary: true, onPress: react_1.action('case-1') }, "Button"),
        React.createElement(_1.Button, { mx: 2, emphasized: true, secondary: true, onPress: react_1.action('case-2') }, "Button"),
        React.createElement(_1.Button, { mx: 2, emphasized: true, success: true, onPress: react_1.action('case-3') }, "Button"),
        React.createElement(_1.Button, { mx: 2, emphasized: true, tertiary: true, onPress: react_1.action('case-4') }, "Button"),
        React.createElement(_1.Button, { mx: 2, emphasized: true, onPress: react_1.action('case-5') }, "Button")));
})
    .addWithInfo('Disabled', function () {
    return (React.createElement(Container, null,
        React.createElement(_1.Button, { mx: 2, disabled: true, primary: true, onPress: react_1.action('case-1') }, "Button"),
        React.createElement(_1.Button, { mx: 2, disabled: true, secondary: true, onPress: react_1.action('case-2') }, "Button"),
        React.createElement(_1.Button, { mx: 2, disabled: true, success: true, onPress: react_1.action('case-3') }, "Button"),
        React.createElement(_1.Button, { mx: 2, disabled: true, tertiary: true, onPress: react_1.action('case-4') }, "Button"),
        React.createElement(_1.Button, { mx: 2, disabled: true, onPress: react_1.action('case-5') }, "Button")));
})
    .addWithInfo('Outline', function () {
    return (React.createElement(Container, null,
        React.createElement(_1.Button, { mx: 2, primary: true, outline: true, onPress: react_1.action('case-1') }, "Button"),
        React.createElement(_1.Button, { mx: 2, danger: true, outline: true, onPress: react_1.action('case-3') }, "Button"),
        React.createElement(_1.Button, { mx: 2, tertiary: true, outline: true, onPress: react_1.action('case-3') }, "Button"),
        React.createElement(_1.Button, { mx: 2, outline: true, onPress: react_1.action('case-4') }, "Button")));
})
    .addWithInfo('Underline', function () {
    return (React.createElement(Container, null,
        React.createElement(_1.Button, { mx: 2, primary: true, underline: true, onPress: react_1.action('case-1') }, "Button"),
        React.createElement(_1.Button, { mx: 2, underline: true, onPress: react_1.action('case-4') }, "Button")));
})
    .addWithInfo('Plaintext', function () {
    return (React.createElement(Container, null,
        React.createElement(_1.Button, { mx: 2, plaintext: true, primary: true, onPress: react_1.action('case-1') }, "Button"),
        React.createElement(_1.Button, { mx: 2, plaintext: true, primary: true, iconElement: React.createElement(FaSpinner, null), onPress: react_1.action('case-2') }, "Button")));
})
    .addWithInfo('Width', function () {
    return (React.createElement(Container, null,
        React.createElement(_1.Button, { w: 95, mx: 2, primary: true, onPress: react_1.action('case-1') }, "Button"),
        React.createElement(_1.Button, { w: 60, mx: 2, secondary: true, onPress: react_1.action('case-2') }, "Button"),
        React.createElement(_1.Button, { w: 120, mx: 2, tertiary: true, onPress: react_1.action('case-3') }, "Button"),
        React.createElement("div", { style: { width: 300 } },
            React.createElement(_1.Button, { w: '100%', m: 2, onPress: react_1.action('case-4') }, "Button"))));
})
    .addWithInfo('Square', function () {
    return (React.createElement(Container, null,
        React.createElement(_1.Button, { mx: 2, tertiary: true, square: true, onPress: react_1.action('case-3') },
            React.createElement(FaExpand, null)),
        React.createElement(_1.Button, { m: 2, square: true, onPress: react_1.action('case-4') },
            React.createElement(FaRecycle, null))));
})
    .addWithInfo('Square Emphasized', function () {
    return (React.createElement(Container, null,
        React.createElement(_1.Button, { mx: 2, emphasized: true, tertiary: true, square: true, onPress: react_1.action('case-3') },
            React.createElement(FaExpand, null)),
        React.createElement(_1.Button, { m: 2, emphasized: true, square: true, onPress: react_1.action('case-4') },
            React.createElement(FaRecycle, null))));
});
var templateObject_1;
