"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var styled_components_1 = require("styled-components");
var _1 = require("../");
var Container = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  margin: 30px;\n"], ["\n  margin: 30px;\n"])));
react_1.storiesOf('Input', module)
    .addDecorator(function (story) { return React.createElement(Container, null, story()); })
    .addWithInfo('Standard', function () {
    return (React.createElement("div", null,
        React.createElement(_1.Input, { m: 2, placeholder: 'Placeholder Text' }),
        React.createElement(_1.Input, { m: 2, placeholder: 'Placeholder Text', invalid: true }),
        React.createElement(_1.Input, { m: 2, placeholder: 'Placeholder Text', valid: true }),
        React.createElement(_1.Input, { m: 2, placeholder: 'Placeholder Text', disabled: true })));
})
    .addWithInfo('Emphasized', function () {
    return (React.createElement("div", null,
        React.createElement(_1.Input, { m: 2, emphasized: true, placeholder: 'Placeholder Text' }),
        React.createElement(_1.Input, { m: 2, emphasized: true, placeholder: 'Placeholder Text', invalid: true }),
        React.createElement(_1.Input, { m: 2, emphasized: true, placeholder: 'Placeholder Text', valid: true }),
        React.createElement(_1.Input, { m: 2, emphasized: true, placeholder: 'Placeholder Text', disabled: true })));
})
    .addWithInfo('Monospace', function () {
    return (React.createElement("div", null,
        React.createElement(_1.Input, { m: 2, monospace: true, placeholder: 'Placeholder Text' }),
        React.createElement(_1.Input, { m: 2, monospace: true, placeholder: 'Placeholder Text', invalid: true }),
        React.createElement(_1.Input, { m: 2, monospace: true, placeholder: 'Placeholder Text', valid: true }),
        React.createElement(_1.Input, { m: 2, monospace: true, placeholder: 'Placeholder Text', disabled: true })));
})
    .addWithInfo('Input types', function () {
    return (React.createElement("div", null,
        React.createElement("label", null,
            React.createElement("div", null, "Text"),
            React.createElement(_1.Input, { m: 2, placeholder: 'Placeholder Text', type: 'text' })),
        React.createElement("label", null,
            React.createElement("div", null, "Number"),
            React.createElement(_1.Input, { m: 2, placeholder: 'Placeholder Number', type: 'number' })),
        React.createElement("label", null,
            React.createElement("div", null, "Date"),
            React.createElement(_1.Input, { m: 2, placeholder: 'Placeholder Date', type: 'date' })),
        React.createElement("label", null,
            React.createElement("div", null, "Month"),
            React.createElement(_1.Input, { m: 2, placeholder: 'Placeholder Month', type: 'month' })),
        React.createElement("label", null,
            React.createElement("div", null, "Password"),
            React.createElement(_1.Input, { m: 2, placeholder: 'Placeholder Password', type: 'password' })),
        React.createElement("label", null,
            React.createElement("div", null, "Time"),
            React.createElement(_1.Input, { m: 2, placeholder: 'Placeholder Time', type: 'time' })),
        React.createElement("label", null,
            React.createElement("div", null, "Checkbox"),
            React.createElement(_1.Input, { m: 2, type: 'checkbox' }))));
});
var templateObject_1;
