"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var styled_components_1 = require("styled-components");
var _1 = require("../");
var Container = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  margin: 30px;\n"], ["\n  margin: 30px;\n"])));
react_1.storiesOf('TextWithCopy', module)
    .addDecorator(function (story) { return React.createElement(Container, null, story()); })
    .addWithInfo('Standard', function () {
    return (React.createElement(_1.TextWithCopy, { copy: 'This value has been copied to your clipboard!' },
        React.createElement("i", null, "hover"),
        " & ",
        React.createElement("b", null, "click"),
        " the icon"));
})
    .addWithInfo('wrapping text', function () {
    return (React.createElement("div", { style: { width: '300px' } },
        React.createElement(_1.TextWithCopy, { copy: 'This value has been copied to your clipboard!' }, "hover & click ... ... ... ... ... ... ... ... ... ... ... ... the icon on the wrapped text")));
})
    .addWithInfo('always showing the copy icon', function () {
    return (React.createElement("div", { style: { width: '300px' } },
        React.createElement(_1.TextWithCopy, { showCopyButton: 'always', copy: 'This value has been copied to your clipboard!' }, "click the icon")));
})
    .addWithInfo('Inside clickable element', function () {
    return (React.createElement(_1.Link, { href: '#foobar', style: { display: 'block' } },
        React.createElement(_1.Flex, null,
            React.createElement(_1.Box, { mr: 5 }, "Link Text"),
            React.createElement(_1.Box, null,
                React.createElement(_1.TextWithCopy, { copy: 'This value has been copied to your clipboard!' }, "hover & click the icon")))));
});
var templateObject_1;
