"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var styled_components_1 = require("styled-components");
var _1 = require("../");
var Container = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  margin: 60px;\n"], ["\n  margin: 60px;\n"])));
react_1.storiesOf('Typography', module)
    .addDecorator(function (story) { return React.createElement(Container, null, story()); })
    .addWithInfo('Headings', function () {
    return (React.createElement("div", null,
        React.createElement(_1.Heading.h1, null, "Heading h1"),
        React.createElement(_1.Heading.h2, null, "Heading h2"),
        React.createElement(_1.Heading.h3, null, "Heading h3"),
        React.createElement(_1.Heading.h4, null, "Heading h4"),
        React.createElement(_1.Heading.h5, null, "Heading h5"),
        React.createElement(_1.Heading.h6, null, "Heading h6")));
})
    .addWithInfo('Text', function (props) {
    return (React.createElement("div", null,
        React.createElement(_1.Text, null, "Standard text"),
        React.createElement(_1.Text, { align: 'center' }, "Centered"),
        React.createElement(_1.Text, { align: 'right' }, "Right"),
        React.createElement(_1.Text, { bold: true }, "Bold"),
        React.createElement(_1.Text, { monospace: true }, "Monospace"),
        React.createElement(_1.Text.span, { color: 'blue' }, "Inline "),
        React.createElement(_1.Text.span, { color: 'red' }, "Inline "),
        React.createElement(_1.Text.span, { color: 'yellow' }, "Inline ")));
})
    .addWithInfo('Link', function (props) {
    return (React.createElement("div", null,
        React.createElement("div", null,
            React.createElement(_1.Link, { href: "#" }, "Internal Link")),
        React.createElement("div", null,
            React.createElement(_1.Link, { href: "https://resin.io", blank: true }, "External Link")),
        React.createElement("div", null,
            React.createElement(_1.Link, { disabled: true, href: "https://resin.io", blank: true }, "Disabled Link"))));
});
var templateObject_1;
