"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = [
    {
        Name: 'Bulbasaur',
        biometrics: {
            Height: 0.7,
            Weight: 6.9
        },
        Description: "Bulbasaur can be seen napping in bright sunlight. There is a seed on its back. By soaking up the sun's rays, the seed grows progressively larger.",
        Category: 'Seed',
        Abilities: 'Overgrow',
        pokedex_number: 1,
        caught: true
    },
    {
        Name: 'Ivysaur',
        biometrics: {
            Height: 1,
            Weight: 13
        },
        Description: "There is a bud on this Pokemon's back. To support its weight, Ivysaur's legs and trunk grow thick and strong. If it starts spending more time lying in the sunlight, it's a sign that the bud will bloom into a large flower soon.",
        Category: 'Seed',
        Abilities: 'Overgrow',
        pokedex_number: 2,
        caught: false
    },
    {
        Name: 'Venusaur',
        biometrics: {
            Height: 2,
            Weight: 100
        },
        Description: "There is a large flower on Venusaur's back. The flower is said to take on vivid colors if it gets plenty of nutrition and sunlight. The flower's aroma soothes the emotions of people.",
        Category: 'Seed',
        Abilities: 'Overgrow',
        pokedex_number: 3,
        caught: false
    },
    {
        Name: 'Charmander',
        biometrics: {
            Height: 0.6,
            Weight: 8.5
        },
        Description: 'The flame that burns at the tip of its tail is an indication of its emotions. The flame wavers when Charmander is enjoying itself. If the Pokemon becomes enraged, the flame burns fiercely.',
        Category: 'Lizard',
        Abilities: 'Blaze',
        pokedex_number: 4,
        caught: false
    },
    {
        Name: 'Charmeleon',
        biometrics: {
            Height: 1.1,
            Weight: 19
        },
        Description: 'Charmeleon mercilessly destroys its foes using its sharp claws. If it encounters a strong foe, it turns aggressive. In this excited state, the flame at the tip of its tail flares with a bluish white color.',
        Category: 'Flame',
        Abilities: 'Blaze',
        pokedex_number: 5,
        first_seen: '2012-01-01T14:43:02.000Z',
        caught: false
    },
    {
        Name: 'Charizard',
        biometrics: {
            Height: 1.7,
            Weight: 90.5
        },
        Description: 'Charizard flies around the sky in search of powerful opponents. It breathes fire of such great heat that it melts anything. However, it never turns its fiery breath on any opponent weaker than itself.',
        Category: 'Flame',
        Abilities: 'Blaze',
        first_seen: '2013-04-17T14:43:02.000Z',
        pokedex_number: 6,
        caught: false,
        Tag: [
            {
                tag_name: 'rarity',
                tag_value: '10'
            },
            {
                tag_name: 'region',
                tag_value: 'Kanto'
            }
        ]
    },
    {
        Name: 'Squirtle',
        biometrics: {
            Height: 0.5,
            Weight: 9
        },
        Description: "Squirtle's shell is not merely used for protection. The shell's rounded shape and the grooves on its surface help minimize resistance in water, enabling this Pokemon to swim at high speeds.",
        Category: 'Tiny Turtle',
        Abilities: 'Torrent',
        pokedex_number: 7,
        first_seen: '2017-11-03T08:49:26.961Z',
        caught: false,
        Tag: [
            {
                tag_name: 'rarity',
                tag_value: '5'
            },
            {
                tag_name: 'region',
                tag_value: 'Johto'
            }
        ]
    },
    {
        Name: 'Wartortle',
        biometrics: {
            Height: 1,
            Weight: 22.5
        },
        Description: "Its tail is large and covered with a rich, thick fur. The tail becomes increasingly deeper in color as Wartortle ages. The scratches on its shell are evidence of this Pokemon's toughness as a battler.",
        Category: 'Turtle',
        Abilities: 'Torrent',
        pokedex_number: 8,
        caught: false
    },
    {
        Name: 'Blastoise',
        biometrics: {
            Height: 1.6,
            Weight: 85.5
        },
        Description: 'Blastoise has water spouts that protrude from its shell. The water spouts are very accurate. They can shoot bullets of water with enough accuracy to strike empty cans from a distance of over 160 feet.',
        Category: 'Shellfish',
        Abilities: 'Torrent',
        pokedex_number: 9,
        caught: false
    },
    {
        Name: 'Caterpie',
        biometrics: {
            Height: 0.3,
            Weight: 2.9
        },
        Description: 'Caterpie has a voracious appetite. It can devour leaves bigger than its body right before your eyes. From its antenna, this Pokémon releases a terrifically strong odor.',
        Category: 'Worm',
        Abilities: 'Shield Dust',
        pokedex_number: 10,
        caught: true
    }
];
